<?php
	session_start();

  include_once "listFunctions.php";
  include_once "loginFunctions.php";
  include_once "patTemplate.php";
  include_once "dbconnection.php";

	// Initialize the patTemplate-class, and create an object.
	$tmpl = new patTemplate();

	// Set which directory contains the template-files.
	$tmpl->setBasedir("tmpl");

	// Set template
	$template_file = "index.tmpl.html";
  $tmpl->readTemplatesFromFile($template_file);
  $tmpl->addGlobalVar("FILE_NAME", $template_file);

  $alertMsg = "";
  
  // Activate account.
  if(isset($_GET['activation_id']))
  {
    DBConnect();
    DBQuery("UPDATE users SET activated=1 WHERE id='" . $_GET['activation_id'] . "'");
    $alertMsg .= "Account activated. Please enjoy the services.<br>";
    DBDisconnect();
  }
  
  // Logout
  if(isset($_POST['logout']))
  {
    logOut();
    $alertMsg .= "Logged out<br>";
  }

  // Login
  if(isset($_POST['username']) && isset($_POST['password']))
  {
    $alertMsg .= (logIn($_POST['username'], $_POST['password'])? "Logged in<br>": "Incorrect credentials.<br><a href='deleteAccount.php'>Delete account</a>?");
  }

  // Check login.
  if(isLoggedIn() == false)
  {
    $tmpl->AddVar("show_login", "CONDITION", "true");
    $tmpl->addGlobalVar("DEFAULT_FOCUS", "username");
  }
  else
  {
    $tmpl->AddVar("show_logout", "CONDITION", "true");
    $tmpl->addGlobalVar("DEFAULT_FOCUS", "list");
    $tmpl->AddVar("show_list", "CONDITION", "true");
  }
  
  // Save
  if(isset($_POST['save']) && isLoggedIn())
  {
    updateOrAdd($_POST['list']);
    $alertMsg .= "List saved.<br>";
  }

	if(isset($_SESSION['own_user_id']))
	{
		DBConnect();
		$result = DBQuery("SELECT * FROM lists WHERE user_id='" . $_SESSION['own_user_id'] . "' ORDER BY id ASC");
		$rows = mysql_num_rows($result);
		if($rows > 0)
		{
			$tmpl->addVar("list", "LIST", utf8Clean(mysql_result($result, 0, "list")));
			$tmpl->parseTemplate("list", "a");
		}
		DBDisconnect();
	}

  if(strlen($alertMsg) > 0)
  {
    $tmpl->addGlobalVar("ALERTS", $alertMsg);
    $tmpl->AddVar("show_alerts", "CONDITION", "true");
  }

  $tmpl->displayParsedTemplate("body");

?>